<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.xunwang.education.mapper.MyFavoriteCoursesMapper">

    <select id="selectCollectCourse" resultType="com.xunwang.education.entity.dto.MyTeacherCoursesDto">
        select tcou.course_id, tcou.teach_age, tcou.subject, tcou.experience, tcou.location, tcou.location_al, tc.name, tc.profile_photo, tc.school, tc.education, tc.sex
        from my_favorite_courses mc
        join teacher_courses tcou on mc.course_id = tcou.course_id
        join teacher_certifications tc on tc.uid = tcou.uid
        where mc.uid = #{uid}
    </select>

</mapper>
